LightWayTxtTextInternal::HFZone Struct Reference documentation

LightWayTxtTextInternal::HFZone Struct Reference

Internal: the header/footer zone of a LightWayTxtText. More...

## Public Member Functions
| HFZone ()
| constructor

## Public Attributes
int | m_numChar
| the number of char
MWAWEntry | m_pos
| the position of the text in the file
int | m_height
| the height
MWAWFont | m_font
| the font
MWAWParagraph::Justification | m_justify
| the paragraph justification
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, HFZone const &hf)
| operator<<

## Detailed Description

Internal: the header/footer zone of a LightWayTxtText.

## Constructor & Destructor Documentation

## ◆ HFZone()

LightWayTxtTextInternal::HFZone::HFZone | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | HFZone const & | hf )
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string LightWayTxtTextInternal::HFZone::m_extra

extra data

Referenced by HFZone(), operator<<, and LightWayTxtText::readDocumentHF().

## ◆ m_font

MWAWFont LightWayTxtTextInternal::HFZone::m_font

the font

Referenced by HFZone(), LightWayTxtText::readDocumentHF(), and LightWayTxtText::sendHeaderFooter().

## ◆ m_height

int LightWayTxtTextInternal::HFZone::m_height

the height

Referenced by HFZone(), operator<<, and LightWayTxtText::readDocumentHF().

## ◆ m_justify

MWAWParagraph::Justification LightWayTxtTextInternal::HFZone::m_justify

the paragraph justification

Referenced by HFZone(), operator<<, LightWayTxtText::readDocumentHF(), and LightWayTxtText::sendHeaderFooter().

## ◆ m_numChar

int LightWayTxtTextInternal::HFZone::m_numChar

the number of char

Referenced by HFZone(), operator<<, and LightWayTxtText::readDocumentHF().

## ◆ m_pos

MWAWEntry LightWayTxtTextInternal::HFZone::m_pos

the position of the text in the file

Referenced by HFZone(), and LightWayTxtText::sendHeaderFooter().

The documentation for this struct was generated from the following file:

- LightWayTxtText.cxx